Bug 334372 - Numerous UI issues in the desktop effects KCM
Summary: Numerous UI issues in the desktop effects KCM
Status: RESOLVED MOVED
Alias: None
Product: kwin
Classification: Unclassified
Component: compositing (show other bugs)
Version: git master
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-05 10:56 UTC by Eike Hein
Modified: 2014-05-22 14:45 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Hein 2014-05-05 10:56:41 UTC
* The list delegate doesn't use native text rendering.

* The description text in the list delegate should elide text that doesn't fit into the list viewport.

* The buttons in the list delegate should be vertically centered.

* The delegate has inconsistent inside margins at the top and bottom (that aren't explained by accounting for descenders in the description label).

* There is an unsightly gap between the checkbox/radio buttons in the list delegate and the text labels (this might be a Qt Quick Controls bug calculating bad implicitSizes for these widgets).

* Keyboard navigation in the list doesn't work.

* The list doesn't react to wheel events with the same scroll distance as other list views.

* The list doesn't use the the active QStyle's selection decoration.

* The list doesn't use category headers consistent with other similar KDE UIs.

* There's no clear button in the search line edit.

* The KCM pre-fills its background with the window color, breaking QStyles that use a textured window background like Oxygen.

Reproducible: Always
Comment 1 Martin Flöser 2014-05-05 12:21:49 UTC
please report one issue per item, otherwise it'll be difficult to ever set the 
bug to FIXED
Comment 2 Martin Flöser 2014-05-22 14:44:49 UTC
Git commit 8ea5792677286e63d9cfd43de860f290ccb25c6a by Martin Gräßlin.
Committed on 22/05/2014 at 14:03.
Pushed by graesslin into branch 'master'.

[kcmkwin/compositing] Improve the spacing in the Effects list

Spacing needs to be specified on the ListView instead in the delegate.
This fixes incorrect vertical alignment of the buttons in each row.

In addition a proper background is set on the ScrollView.
REVIEW: 118260

M  +1    -1    kcmkwin/kwincompositing/qml/Effect.qml
M  +5    -0    kcmkwin/kwincompositing/qml/EffectView.qml

http://commits.kde.org/kwin/8ea5792677286e63d9cfd43de860f290ccb25c6a
Comment 3 Eike Hein 2014-05-22 14:45:18 UTC
> * The list delegate doesn't use native text rendering.

Now in bug 335193.

> * The description text in the list delegate should elide text that doesn't fit into the list viewport.

Now in bug 335194.

> * The buttons in the list delegate should be vertically centered.
> * The delegate has inconsistent inside margins at the top and bottom (that aren't explained by accounting for descenders in the description label).

Fixed by https://git.reviewboard.kde.org/r/118260/.

> * There is an unsightly gap between the checkbox/radio buttons in the list delegate and the text labels (this might be a Qt Quick Controls bug calculating bad implicitSizes for these widgets).

Fixed upstream.

> * Keyboard navigation in the list doesn't work.

Now in bug 335195.

> * The list doesn't react to wheel events with the same scroll distance as other list views.

Now in bug 335196.

>  * The list doesn't use the the active QStyle's selection decoration.

Now in bug 335197.

>  * The list doesn't use category headers consistent with other similar KDE UIs.

Now in bug 335198.

> * There's no clear button in the search line edit.

Upstream at https://bugreports.qt-project.org/browse/QTBUG-37373.

>  * The KCM pre-fills its background with the window color, breaking QStyles that use a textured window background like Oxygen.

Determined as unsolvable by David Edmundson.